[arch-commits] Commit in or1k-elf-binutils/repos/community-x86_64 (PKGBUILD PKGBUILD)

Filipe Laíns ffy00 at archlinux.org
Thu Feb 18 18:35:00 UTC 2021


    Date: Thursday, February 18, 2021 @ 18:35:00
  Author: ffy00
Revision: 865015

archrelease: copy trunk to community-x86_64

Added:
  or1k-elf-binutils/repos/community-x86_64/PKGBUILD
    (from rev 865014, or1k-elf-binutils/trunk/PKGBUILD)
Deleted:
  or1k-elf-binutils/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  127 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 64 insertions(+), 63 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-02-18 18:34:56 UTC (rev 865014)
+++ PKGBUILD	2021-02-18 18:35:00 UTC (rev 865015)
@@ -1,63 +0,0 @@
-# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
-# Contributor: Anatol Pomozov <anatol.pomozov at gmail.com>
-
-_target=or1k-elf
-pkgname=$_target-binutils
-pkgver=2.36.1
-pkgrel=1
-pkgdesc='A set of programs to assemble and manipulate binary and object files for the OpenRISC 1000 (bare-metal) target'
-arch=(x86_64)
-url='https://www.gnu.org/software/binutils/'
-license=(GPL)
-depends=(zlib)
-source=("https://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2"{,.sig})
-sha512sums=('5c40cfe05b922492627db71990dd2ba6030fd2de4bdba3f53a3f274543ff161fb56e2f6bdac107e0ffdcfd095e499c54e1157ee1865723baefa67b5b4d3da201'
-            'SKIP')
-validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93'  # Tristan Gingold <gingold at adacore.com>
-              '3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc at redhat.com>
-
-prepare() {
-  cd binutils-$pkgver
-
-  sed -i '/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/' libiberty/configure
-}
-
-build() {
-  cd binutils-$pkgver
-
-  ./configure --target=$_target \
-              --with-sysroot=/usr/$_target \
-              --prefix=/usr \
-              --enable-multilib \
-              --enable-interwork \
-              --with-gnu-as \
-              --with-gnu-ld \
-              --disable-nls \
-              --enable-ld=default \
-              --enable-gold \
-              --enable-plugins \
-              --enable-deterministic-archives
-
-  make
-}
-
-check() {
-  cd binutils-$pkgver
-
-  # unset LDFLAGS as testsuite makes assumptions about which ones are active
-  # do not abort on errors - manually check log files
-  make LDFLAGS="" -k check || true
-}
-
-package() {
-  cd binutils-$pkgver
-
-  make DESTDIR="$pkgdir" install
-
-  # Remove file conflicting with host binutils and manpages for MS Windows tools
-  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,windres,windmc}*
-
-  # Remove info documents that conflict with host version
-  rm -r "$pkgdir"/usr/share/info
-}
-

Copied: or1k-elf-binutils/repos/community-x86_64/PKGBUILD (from rev 865014, or1k-elf-binutils/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-02-18 18:35:00 UTC (rev 865015)
@@ -0,0 +1,64 @@
+# Maintainer: Filipe Laíns (FFY00) <lains at archlinux.org>
+# Contributor: Anatol Pomozov <anatol.pomozov at gmail.com>
+
+_target=or1k-elf
+pkgname=$_target-binutils
+pkgver=2.36.1
+pkgrel=2
+pkgdesc='A set of programs to assemble and manipulate binary and object files for the OpenRISC 1000 (bare-metal) target'
+arch=(x86_64)
+url='https://www.gnu.org/software/binutils/'
+license=(GPL)
+depends=(zlib)
+source=("https://ftp.gnu.org/gnu/binutils/binutils-$pkgver.tar.bz2"{,.sig})
+sha512sums=('5c40cfe05b922492627db71990dd2ba6030fd2de4bdba3f53a3f274543ff161fb56e2f6bdac107e0ffdcfd095e499c54e1157ee1865723baefa67b5b4d3da201'
+            'SKIP')
+validpgpkeys=('EAF1C276A747E9ED86210CBAC3126D3B4AE55E93'  # Tristan Gingold <gingold at adacore.com>
+              '3A24BC1E8FB409FA9F14371813FCEF89DD9E3C4F') # Nick Clifton (Chief Binutils Maintainer) <nickc at redhat.com>
+
+prepare() {
+  cd binutils-$pkgver
+
+  sed -i '/ac_cpp=/s/\$CPPFLAGS/\$CPPFLAGS -O2/' libiberty/configure
+}
+
+build() {
+  cd binutils-$pkgver
+
+  ./configure --target=$_target \
+              --with-sysroot=/usr/$_target \
+              --prefix=/usr \
+              --enable-multilib \
+              --enable-interwork \
+              --with-gnu-as \
+              --with-gnu-ld \
+              --disable-nls \
+              --enable-ld=default \
+              --enable-gold \
+              --enable-plugins \
+              --enable-deterministic-archives
+
+  make
+}
+
+check() {
+  cd binutils-$pkgver
+
+  # unset LDFLAGS as testsuite makes assumptions about which ones are active
+  # do not abort on errors - manually check log files
+  make LDFLAGS="" -k check || true
+}
+
+package() {
+  cd binutils-$pkgver
+
+  make DESTDIR="$pkgdir" install
+
+  # Remove file conflicting with host binutils and manpages for MS Windows tools
+  rm "$pkgdir"/usr/share/man/man1/$_target-{dlltool,windres,windmc}*
+  rm "$pkgdir"/usr/lib/bfd-plugins/libdep.so
+
+  # Remove info documents that conflict with host version
+  rm -r "$pkgdir"/usr/share/info
+}
+


More information about the arch-commits mailing list